# docker events

<!---MARKER_GEN_START-->
Get real time events from the server

### Aliases

`docker system events`, `docker events`

### Options

| Name             | Type     | Default | Description                                                                                                                                                                                                                                                        |
|:-----------------|:---------|:--------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `-f`, `--filter` | `filter` |         | Filter output based on conditions provided                                                                                                                                                                                                                         |
| `--format`       | `string` |         | Format output using a custom template:<br>'json':             Print in JSON format<br>'TEMPLATE':         Print output using the given Go template.<br>Refer to https://docs.docker.com/go/formatting/ for more information about formatting output with templates |
| `--since`        | `string` |         | Show all events created since timestamp                                                                                                                                                                                                                            |
| `--until`        | `string` |         | Stream events until this timestamp                                                                                                                                                                                                                                 |


<!---MARKER_GEN_END-->

